

#method_name_list=( dcgdvs_2_2_1 dcgdvs_3_2_1 dcgdvs_3_3_1 dcgdvs_4_2_1 dcgdvs_4_3_1 dcgdvs_5_2_1 dcgdvs_5_3_1 dcgdvs_6_3_1 dcgdvs_6_4_1 dcgdvs_7_3_1 dgdvs_2_2_1 dgdvs_2_3_1 dgdvs_3_2_1 dgdvs_3_3_1 )
##dgdvs_2_3_1

#  d_5_2_1, dc_3_3_1, dc_5_3_1, dc_6_4_1
#method_name_list=( dcgdvs_5_2_1 dcgdvs_3_3_1 dcgdvs_5_3_1 dcgdvs_6_4_1 dgdvs_5_2_1 dgdvs_3_3_1 dgdvs_5_3_1 dgdvs_6_4_1 )

## 4-3-1. 5-3-1. 6-3-1. 7-3-1. 6-4-1
## 2-2-1, 3-2-1, 4-2-1, 5-2-1, 3-3-1, 5-3-1, 6-4-1

## nodes
for i in `seq  4 4`;
do
## events
  for j in `seq 6 6`;
do

python run_dynamic_counting.py -c -z aging $j $i 1

method_name_list=( "Ndgdvs_"$j"_"$i"_1" )
ground_truth_type_list=( sequenceage )
n_cluster=( 250 )
## internal field separator
method_name_str=`IFS=, cat <<< "${method_name_list[*]}"`
echo $method_name_str

ground_truth_str=`IFS=, cat <<< "${ground_truth_type_list[*]}"`
#echo $ground_truth_str

n_cluster_str=`IFS=, cat <<< "${n_cluster[*]}"`
#echo $n_cluster_str

#python run_enrichment_analysis.py -k $n_cluster_str -r aging $method_name_str $ground_truth_str

done

done
